Reddit User Content
Fetch a Reddit user's overview, submitted posts, or comments.
POST
/v1/reddit/user/content Request Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| username | body | string | Yes | Reddit username. |
| after | body | string | No | Cursor returned by the previous response. |
| before | body | string | No | Cursor returned by the previous response. |
| limit | body | integer | No | Maximum number of items to return. |
| type | body | string | No | User feed type. |
Response Structure
Async kickoff response
Polled run result response
Sync response
Declared output schema
Code Examples
Async + polling
RUN=$(curl -s -X POST "https://api.browsable.app/v1/reddit/user/content" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"username":"spez","after":"sample","before":"sample","limit":25,"type":"overview"}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
doneSync
curl -X POST "https://api.browsable.app/v1/reddit/user/content" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"username":"spez","after":"sample","before":"sample","limit":25,"type":"overview","_run":{"async":false}}'